--Mammoth Strike Six


function mms_executortarget_res()
	WorldPivot=GetWorldPivot()
	
	IMG_executortarget=LoadImage3D("../data/gfx/projectiles/Mindchanger.png",2,5,WorldPivot,-10)
	
	SED_executortarget_fire=LoadSED("../data/gfx/SED/Projectiles/executortarget.sed")
	IMGSED_executortarget_fire=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,-10)
end

function mms_executortarget_create(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	Angle=PRJ_GetAngle(ID)
	for x=0,4,1 do
		DropSED(IMGSED_executortarget_fire,SED_executortarget_fire,X+math.sin(math.rad(Angle))*10,Y+math.cos(math.rad(Angle))*10,0,0,Angle,5.4,1)
	end
end

function mms_executortarget_update(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	
	TX=PRJ_GetTargetX(ID)
	TY=PRJ_GetTargetY(ID)
	
	Angle=math.deg(math.atan2(TX*64-X,TY*64-Y))
	
	X=X+math.sin(math.rad(Angle))*5
	Y=Y+math.cos(math.rad(Angle))*5
	PRJ_SetX(ID,X)
	PRJ_SetY(ID,Y)
	MSecs=GetMSecs()
	DrawImage3D(IMG_executortarget,X,Y,0,MSecs*0.12,0.5+math.sin(MSecs*0.004)*0.4)
	DropSED(IMGSED_executortarget_fire,SED_executortarget_fire,X,Y,0,0,Angle,0.5,1)
	
	
	--lol=MAP_GetMAP((X/64),(Y/64),1)
	
	if FNC_PointDistance(X,Y,TX*64,TY*64)<5 then
			for x=0,12,1 do
				DropSED(IMGSED_executortarget_fire,SED_executortarget_fire,X,Y,0,0,0,2,2)
			end
			PRJ_CreateProjectile("wallblast",(TX+3)*64,(TY+0)*64,Angle,TX,TY)
			PRJ_CreateProjectile("wallblast",(TX-3)*64,(TY+0)*64,Angle,TX,TY)
			PRJ_CreateProjectile("wallblast",(TX+0)*64,(TY+3)*64,Angle,TX,TY)
			PRJ_CreateProjectile("wallblast",(TX+0)*64,(TY-3)*64,Angle,TX,TY)
			PRJ_DeleteProjectile(ID)
		end

end