--Mammoth Strike Six


function mms_thunderlance_res()
	WorldPivot=GetWorldPivot()
	

	SED_thunderlance_fire=LoadSED("../data/gfx/SED/Projectiles/overcharged.sed")
	IMGSED_thunderlance_fire=LoadImage3D("../data/gfx/effects/bolt.png",2,5,WorldPivot,0)
	
end

function mms_thunderlance_create(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	Angle=PRJ_GetAngle(ID)
	for x=0,4,1 do
		DropSED(IMGSED_thunderlance_fire,SED_thunderlance_fire,X+math.sin(math.rad(Angle))*10,Y+math.cos(math.rad(Angle))*10,0,0,Angle,2.4,1)
	end
end

function mms_thunderlance_update(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	
	TX=PRJ_GetTargetX(ID)
	TY=PRJ_GetTargetY(ID)
	
	Angle=math.deg(math.atan2(TX*64-X,TY*64-Y))
	
	X=X+math.sin(math.rad(Angle))*8
	Y=Y+math.cos(math.rad(Angle))*8
	PRJ_SetX(ID,X)
	PRJ_SetY(ID,Y)
	

	DropSED(IMGSED_thunderlance_fire,SED_thunderlance_fire,X,Y,0,0,Angle+180,6,1)

	if FNC_PointDistance(X,Y,TX*64,TY*64)<8 then
		for x=0,12,1 do
			DropSED(IMGSED_thunderlance_fire,SED_thunderlance_fire,X,Y,0,0,0,3,2)
		end
		Shatter(0.2)
		
		PRJ_CreateProjectile("thunderlance",X,Y,Angle,TX+(math.sin(math.rad(Angle))*64)/64,TY+(math.cos(math.rad(Angle))*64)/64)
		
		--sub
			if FNC_GetRandom(1,8,0)==1 then PRJ_CreateProjectile("chainlightning",X,Y,Angle,TX+1,TY) end
			if FNC_GetRandom(1,8,0)==1 then PRJ_CreateProjectile("chainlightning",X,Y,Angle,TX-1,TY) end
			if FNC_GetRandom(1,8,0)==1 then PRJ_CreateProjectile("chainlightning",X,Y,Angle,TX,TY-1) end
			if FNC_GetRandom(1,8,0)==1 then PRJ_CreateProjectile("chainlightning",X,Y,Angle,TX,TY+1) end
		--
		UNIT_PointDamageOnField(TX,TY,3)
		PRJ_DeleteProjectile(ID)
	end

end