--Mammoth Strike Six


function mms_wallblast_res()
	WorldPivot=GetWorldPivot()
	
	IMG_wallblast=LoadImage3D("../data/gfx/projectiles/Wall.png",2,2,WorldPivot,-10)
	
	SED_wallblast_fire=LoadSED("../data/gfx/SED/deaths/septicexplosion.sed")
	IMGSED_wallblast_fire=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,-10)
end

function mms_wallblast_create(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	Angle=PRJ_GetAngle(ID)
	for x=0,2,1 do
		DropSED(IMGSED_wallblast_fire,SED_wallblast_fire,X+math.sin(math.rad(Angle))*10,Y+math.cos(math.rad(Angle))*10,0,0,Angle,2.4,1)
	end
end

function mms_wallblast_update(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	
	TX=PRJ_GetTargetX(ID)
	TY=PRJ_GetTargetY(ID)
	
	Angle=math.deg(math.atan2(TX*64-X,TY*64-Y))
	
	X=X+math.sin(math.rad(Angle))*8
	Y=Y+math.cos(math.rad(Angle))*8
	PRJ_SetX(ID,X)
	PRJ_SetY(ID,Y)
	
	DrawImage3D(IMG_wallblast,X,Y,0,Angle,1)
	DropSED(IMGSED_wallblast_fire,SED_wallblast_fire,X,Y,0,0,Angle,1,0.4)
	
	
	--lol=MAP_GetMAP((X/64),(Y/64),1)
	
	if FNC_PointDistance(X,Y,TX*64,TY*64)<5 then
			for x=0,4,1 do
				DropSED(IMGSED_wallblast_fire,SED_wallblast_fire,X,Y,0,0,0,2,2)
			end

			Shatter(5)
			UNIT_PointDamageOnField(TX,TY,3)
			PRJ_DeleteProjectile(ID)
		end

end