--Mammoth Strike Six

function mms_gunar_res()
IMG_gunar=ImageRessource("../data/gfx/units/gunar.png",1)

WorldPivot=GetWorldPivot()
SED_gunar_boost=LoadSED("../data/gfx/SED/Ships/gunar.sed")
IMGSED_gunar_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_gunar_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
end

function mms_gunar_create(UnitID)
	UNIT_SetHP(UnitID,17)
	UNIT_SetSize(UnitID,1)
end

function mms_gunar_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_gunar_boost,SED_gunar_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_gunar_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,3)
end 

function mms_gunar_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,5,1,0,0)
end

function mms_gunar_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_gunar,UX,UY,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_gunar_boost,SED_gunar_boost,UX+math.sin(math.rad(SHIP_Angle+180))*12,UY+math.cos(math.rad(SHIP_Angle+180))*12,0,0,SHIP_Angle+180,0.1,0.4)
end

function mms_gunar_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*3
UY=UY+math.cos(math.rad(Angle))*3
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_gunar_boost,SED_gunar_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.2,1)
end

function mms_gunar_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	PRJ_CreateProjectile("shrapnellprimary",UX,UY,Angle,TX,TY,UNIT_GetOwner(UnitID))
	Shatter(3)
	UNIT_StopAttacking()
end
end