--Mammoth Strike Six

function mms_last_res()
IMG_last=ImageRessource("../data/gfx/units/last.png",1)

WorldPivot=GetWorldPivot()
SED_last_boost=LoadSED("../data/gfx/SED/Ships/last.sed")
IMGSED_last_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_last_death=LoadSED("../data/gfx/SED/deaths/thunderblasterexplosion.sed")

SED_last_charge=LoadSED("../data/gfx/SED/Projectiles/seerbomb.sed")
IMGSED_last_charge=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,-10)


VAR_last_charge=0
VAR_last_chargeable=0
end

function mms_last_create(UnitID)
	UNIT_SetHP(UnitID,65)
	UNIT_SetSize(UnitID,3)
end

function mms_last_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_last_boost,SED_last_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_last_boost,SED_last_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_last_boost,SED_last_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_last_boost,SED_last_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	
end

function mms_last_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_last_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,8,1,0,0)
end

function mms_last_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_last,UX-Off,UY-Off,0,SHIP_Angle,1.3,0)
--draw boost effects
DropSED(IMGSED_last_boost,SED_last_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*50,UY-Off+math.cos(math.rad(SHIP_Angle+180))*50,0,0,SHIP_Angle+180,3,2)

end

function mms_last_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_last_boost,SED_last_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_last_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_last_chargeable==0 then
		VAR_last_chargeable=1
		VAR_last_charge=MSecs
	end
	if MSecs-VAR_last_charge>800 then
		PRJ_CreateProjectile("laserrail",UX-Off+math.sin(math.rad(Angle))*32,UY-Off+math.cos(math.rad(Angle))*32,Angle,TX,TY)
		VAR_last_chargeable=0
		VAR_last_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_last_charge,SED_last_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*32,UY-Off+math.cos(math.rad(SHIP_Angle))*32,0,0,SHIP_Angle,0.5,2.4*(MSecs-VAR_last_charge)/800)
	end
		
--end
end

function mms_last_event(UnitID)
end