--Mammoth Strike Six

function mms_luminous_res()
IMG_luminous=ImageRessource("../data/gfx/units/luminous.png",1)

WorldPivot=GetWorldPivot()
SED_luminous_boost=LoadSED("../data/gfx/SED/Ships/edgehatch.sed")
IMGSED_luminous_boost=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)

SED_luminous_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
SED_luminous_charge=LoadSED("../data/gfx/SED/Projectiles/toxicon.sed")

VAR_luminous_charge=0
VAR_luminous_chargeable=0
end

function mms_luminous_create(UnitID)
	UNIT_SetHP(UnitID,16)
	UNIT_SetSize(UnitID,2)
end

function mms_luminous_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
		USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,24,1 do
		DropSED(IMGSED_luminous_boost,SED_luminous_death,UX-Off,UY-Off,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_luminous_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX,UY,4,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY,4,1,0,0)
	MAP_MarkMovementFieldCircle(UX,UY-1,4,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY-1,4,1,0,0)
end 

function mms_luminous_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX,UY-1,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY-1,6,1,0,0)
end

function mms_luminous_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32


--Draw main ship
DrawImage3D(IMG_luminous,UX-Off,UY-Off,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_luminous_boost,SED_luminous_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*20,UY-Off+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.5,0.8)

end

function mms_luminous_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*3
UY=UY+math.cos(math.rad(Angle))*3
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_luminous_boost,SED_luminous_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*20,UY-Off+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,3,1)
end

function mms_luminous_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_luminous_chargeable==0 then
		VAR_luminous_chargeable=1
		VAR_luminous_charge=MSecs
	end
	DropSED(IMGSED_luminous_boost,SED_luminous_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle))*20*USZ,0,0,Angle+FNC_GetRandom(-180,180,1),3*((MSecs-VAR_luminous_charge)/500),1)
	if MSecs-VAR_luminous_charge>550 then
		PRJ_CreateProjectile("lightlaser",UX-Off+math.sin(math.rad(SHIP_Angle+10))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+10))*20*USZ,Angle,TX,TY)
		PRJ_CreateProjectile("lightlaser",UX-Off+math.sin(math.rad(SHIP_Angle-10))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle-10))*20*USZ,Angle,TX,TY)
		Shatter(1)
		VAR_luminous_chargeable=VAR_luminous_chargeable+1
		VAR_luminous_charge=MSecs
	end
	if VAR_luminous_chargeable==5 then
		UNIT_StopAttacking()
		VAR_luminous_chargeable=0
	end
--end
end

function mms_luminous_event(UnitID)
	if UNIT_GetEvent(UnitID,1)=="1" then--rundenanfang
		UNIT_IncreaseHealth(UnitID,2)
	end
end