--Mammoth Strike Six

function mms_maelstrom_res()
IMG_maelstrom=ImageRessource("../data/gfx/units/maelstrom.png",1)

WorldPivot=GetWorldPivot()
SED_maelstrom_boost=LoadSED("../data/gfx/SED/Ships/maelstrom.sed")
IMGSED_maelstrom_boost=LoadImage3D("../data/gfx/effects/tripleedge.png",2,5,WorldPivot,0)

SED_maelstrom_death=LoadSED("../data/gfx/SED/Deaths/maelstromexplosion.sed")

VAR_maelstrom_charge=0
VAR_maelstrom_chargeable=0
end

function mms_maelstrom_create(UnitID)
	UNIT_SetHP(UnitID,65)
	UNIT_SetSize(UnitID,3)
end

function mms_maelstrom_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_maelstrom_boost,SED_maelstrom_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_maelstrom_boost,SED_maelstrom_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_maelstrom_boost,SED_maelstrom_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_maelstrom_boost,SED_maelstrom_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
end

function mms_maelstrom_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX,UY,6)
	MAP_MarkMovementFieldCircle(UX-1,UY,6)
	MAP_MarkMovementFieldCircle(UX,UY-1,6)
	MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_maelstrom_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,9,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY,9,1,0,0)
	MAP_MarkAttackFieldCircle(UX,UY-1,9,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY-1,9,1,0,0)
end

function mms_maelstrom_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_maelstrom,UX-Off,UY-Off,0,MSecs*0.02,1.3,0)
--draw boost effects
DropSED(IMGSED_maelstrom_boost,SED_maelstrom_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.5,0.4)

end

function mms_maelstrom_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*1
UY=UY+math.cos(math.rad(Angle))*1
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_maelstrom_boost,SED_maelstrom_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_maelstrom_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_maelstrom_chargeable==0 then
		VAR_maelstrom_chargeable=1
		VAR_maelstrom_charge=MSecs
	end
	if MSecs-VAR_maelstrom_charge>150 then
		PRJ_CreateProjectile("redlaser",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*36))*24*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*36))*24*USZ,Angle,TX,TY,UnitID)
		PRJ_CreateProjectile("redlaser",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*-36))*24*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*-36))*24*USZ,Angle,TX,TY,UnitID)
		PRJ_CreateProjectile("redlaser",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*72))*24*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*72))*24*USZ,Angle,TX,TY,UnitID)
		PRJ_CreateProjectile("redlaser",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*-72))*24*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_maelstrom_chargeable)*-72))*24*USZ,Angle,TX,TY,UnitID)
		Shatter(0.1)
		VAR_maelstrom_chargeable=VAR_maelstrom_chargeable+1
		VAR_maelstrom_charge=MSecs
	end
	if VAR_maelstrom_chargeable==12 then
		UNIT_StopAttacking()
		VAR_maelstrom_chargeable=0
	end
--end
end