--Mammoth Strike Six

function mms_magnitude_res()
IMG_magnitude=ImageRessource("../data/gfx/units/magnitude.png",1)

WorldPivot=GetWorldPivot()
SED_magnitude_boost=LoadSED("../data/gfx/SED/Ships/magnitude.sed")
IMGSED_magnitude_boost=LoadImage3D("../data/gfx/effects/longgradient.png",2,5,WorldPivot,0)

SED_magnitude_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")

VAR_magnitude_charge=0
VAR_magnitude_chargeable=0
VAR_magnitude_proj=0
end

function mms_magnitude_create(UnitID)
	UNIT_SetHP(UnitID,20)
	UNIT_SetSize(UnitID,1)
end

function mms_magnitude_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_magnitude_boost,SED_magnitude_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_magnitude_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,7)
end 

function mms_magnitude_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,3,1,0,0)
end

function mms_magnitude_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_magnitude,UX,UY,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_magnitude_boost,SED_magnitude_boost,UX+math.sin(math.rad(SHIP_Angle+180))*12,UY+math.cos(math.rad(SHIP_Angle+180))*12,0,0,SHIP_Angle+180,1.5,0.8)

end

function mms_magnitude_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*7
UY=UY+math.cos(math.rad(Angle))*7
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_magnitude_boost,SED_magnitude_boost,UX+math.sin(math.rad(SHIP_Angle+180))*12,UY+math.cos(math.rad(SHIP_Angle+180))*12,0,0,SHIP_Angle+180,2.5,0.8)
end

function mms_magnitude_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

	if VAR_magnitude_chargeable==0 then
		VAR_magnitude_chargeable=1
		VAR_magnitude_charge=MSecs
	end
	if MSecs-VAR_magnitude_charge>250 then
		PRJ_CreateProjectile("redboltlance",UX+math.sin(math.rad(SHIP_Angle+(VAR_magnitude_proj-1)*12))*10,UY+math.cos(math.rad(SHIP_Angle+(VAR_magnitude_proj-1)*12))*10,Angle,TX,TY,UnitID)	
		VAR_magnitude_chargeable=VAR_magnitude_chargeable+1
		VAR_magnitude_charge=MSecs
		VAR_magnitude_proj=2-VAR_magnitude_proj
	end
	if VAR_magnitude_chargeable==4 then
		UNIT_StopAttacking()
		VAR_magnitude_chargeable=0
		VAR_magnitude_proj=0
	end
end

function mms_magnitude_event(UnitID)
	if UNIT_GetEvent(UnitID,1)=="1" then--rundenanfang
		UNIT_HealUnit(UnitID,20)
	end
end