--Mammoth Strike Six

function mms_replica_res()
IMG_replica=ImageRessource("../data/gfx/units/replica.png",1)

WorldPivot=GetWorldPivot()
SED_replica_boost=LoadSED("../data/gfx/SED/Ships/subkill.sed")
IMGSED_replica_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_replica_death=LoadSED("../data/gfx/SED/Deaths/subkillexplosion.sed")
SED_replica_charge=LoadSED("../data/gfx/SED/Projectiles/Photoblast.sed")

VAR_replica_charge=0
VAR_replica_chargeable=0
end

function mms_replica_create(UnitID)
	UNIT_SetHP(UnitID,1)
	UNIT_SetSize(UnitID,1)
	BUFF_CreateBuff("Replicate",UnitID,UnitID)
end

function mms_replica_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,3,1 do
		DropSED(IMGSED_replica_boost,SED_replica_death,UX,UY,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_replica_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,4)
end 

function mms_replica_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,4,1,0,0)
end

function mms_replica_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
ColorG3D(255,255,255,1)
DrawImage3D(IMG_replica,UX,UY,0,SHIP_Angle,1.2,0)
--draw boost effects
DropSED(IMGSED_replica_boost,SED_replica_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,1,0.4)
end

function mms_replica_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_replica_boost,SED_replica_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,3,1)
end

function mms_replica_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

	if VAR_replica_chargeable==0 then
		VAR_replica_chargeable=1
		VAR_replica_charge=MSecs
	end
	DropSED(IMGSED_replica_boost,SED_replica_charge,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,Angle+FNC_GetRandom(-180,180,1),3*((MSecs-VAR_replica_charge)/1500),1)
	if MSecs-VAR_replica_charge>200 then
		PRJ_CreateProjectile("replicaheadbutt",UX,UY,Angle,TX,TY,UnitID)
		Shatter(3)
		UNIT_StopAttacking()
		VAR_replica_chargeable=0
		UNIT_PointDamageOnField(UX/64,UY/64,5)
	end
end

