--Mammoth Strike Six

function mms_seer_res()
IMG_seer=ImageRessource("../data/gfx/units/seer.png",1)
IMG_seer_area=LoadImage3D("../data/gfx/effects/roundcircle.png",2,5,WorldPivot,0)


WorldPivot=GetWorldPivot()
SED_seer_boost=LoadSED("../data/gfx/SED/Ships/subkill.sed")
IMGSED_seer_boost=LoadImage3D("../data/gfx/effects/longgradient.png",2,5,WorldPivot,0)

SED_seer_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
end

function mms_seer_create(UnitID)
	UNIT_SetHP(UnitID,5)
	UNIT_SetSize(UnitID,1)
end

function mms_seer_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_seer_boost,SED_seer_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_seer_movement(UnitID)
end 

function mms_seer_attackrange(UnitID)
end

function mms_seer_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_seer,UX,UY,0,SHIP_Angle,1,0)
ColorG3D(255,255,255,0.1)
DrawImage3D(IMG_seer_area,UX,UY,0,0,3.5,0)

--draw boost effects
DropSED(IMGSED_seer_boost,SED_seer_boost,UX,UY,0,0,0,0.1,0.4)
end

function mms_seer_move(UnitID)
end

function mms_seer_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)



if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	PRJ_CreateProjectile("redlaser",UX,UY,Angle,TX,TY,UNIT_GetOwner(UnitID))
	Shatter(3)
	UNIT_StopAttacking()
end
end

function mms_seer_event(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

	if UNIT_GetEvent(UnitID,3)=="1" then--rundenanfang
		for x=-5,5,1 do
			for y=-5,5,1 do
				if FNC_PointDistance(UX,UY,UX+x*64,UY+y*64)<256 then
					if MAP_GetMap(UX/64+x,UY/64+y,1)~=0 then
						if UNIT_GetOwner(MAP_GetMap(UX/64+x,UY/64+y,1))~=UNIT_GetOwner(UnitID) and UNIT_GetOwner(MAP_GetMap(UX/64+x,UY/64+y,1))~=0 then
							PRJ_CreateProjectile("redlaser",UX,UY,Angle,UX/64+x,UY/64+y,UnitID)
						end
					end
				end
			end
		end
			
	end


end
