--Mammoth Strike Six

function mms_shadowmaul_res()
IMG_shadowmaul=ImageRessource("../data/gfx/units/shadowmaul.png",1)

SED_shadowmaul_boost=LoadSED("../data/gfx/SED/Maps/BlackVoid.sed")

WorldPivot=GetWorldPivot()
IMGSED_shadowmaul_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,-10)

SED_shadowmaul_death=LoadSED("../data/gfx/SED/deaths/explosion.sed")

VAR_shadowmaul_charge=0
VAR_shadowmaul_chargeable=0
end

function mms_shadowmaul_create(UnitID)
	UNIT_SetHP(UnitID,90)
	UNIT_SetSize(UnitID,3)
end

function mms_shadowmaul_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	
end

function mms_shadowmaul_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_shadowmaul_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,8,1,0,0)
end

function mms_shadowmaul_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_shadowmaul,UX-Off,UY-Off,0,SHIP_Angle,1.4,0)
--draw boost effects
DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_boost,UX-Off,UY-Off,0,0,0,3,0.7)

end

function mms_shadowmaul_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_shadowmaul_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_shadowmaul_chargeable==0 then
		VAR_shadowmaul_chargeable=1
		VAR_shadowmaul_charge=MSecs
	end
	if MSecs-VAR_shadowmaul_charge>800 then
		PRJ_CreateProjectile("shadowpara",UX-Off+math.sin(math.rad(Angle))*-64,UY-Off+math.cos(math.rad(Angle))*-64,Angle,TX,TY,UnitID)
		VAR_shadowmaul_chargeable=0
		VAR_shadowmaul_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_shadowmaul_boost,SED_shadowmaul_boost,UX-Off+math.sin(math.rad(SHIP_Angle))*-64,UY-Off+math.cos(math.rad(SHIP_Angle))*-64,0,0,SHIP_Angle,0.5,2.4*(MSecs-VAR_shadowmaul_charge)/800)
	end
		
--end
end

function mms_shadowmaul_event(UnitID)
end