--Mammoth Strike Six

function mms_wish_res()
IMG_wish=ImageRessource("../data/gfx/units/wish.png",1)

WorldPivot=GetWorldPivot()
SED_wish_boost=LoadSED("../data/gfx/SED/Mapobjects/Warpsphere.sed")
IMGSED_wish_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_wish_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
end

function mms_wish_create(UnitID)
	UNIT_SetHP(UnitID,10)
	UNIT_SetSize(UnitID,1)
end

function mms_wish_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_wish_boost,SED_wish_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_wish_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,4)
end 

function mms_wish_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,4,1,0,0)
end

function mms_wish_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
MSecs=GetMSecs()
DrawImage3D(IMG_wish,UX+math.sin(math.rad(MSecs*0.08+180))*6,UY+math.cos(math.rad(MSecs*0.08+180))*6,0,0,1.2,0)
DrawImage3D(IMG_wish,UX+math.sin(math.rad(MSecs*0.15+120))*22,UY+math.cos(math.rad(MSecs*0.15+120))*22,0,0,0.4,0)
DrawImage3D(IMG_wish,UX+math.sin(math.rad(MSecs*-0.12+70))*12,UY+math.cos(math.rad(MSecs*-0.12+70))*12,0,0,0.8,0)


--draw boost effects
DropSED(IMGSED_wish_boost,SED_wish_boost,UX,UY,0,0,SHIP_Angle+180,1,1)
end

function mms_wish_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

end

function mms_wish_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

	PRJ_CreateProjectile("mindchanger",UX,UY,Angle,TX,TY,UNIT_GetOwner(UnitID))
	Shatter(3)
	UNIT_PointDamageOnField(UX/64,UY/64,10)
	UNIT_StopAttacking()
end