--Mammoth Strike Six


function mms_shrapnellsecondary_res()
	WorldPivot=GetWorldPivot()
	
	IMG_shrapnellsecondary=LoadImage3D("../data/gfx/projectiles/ShrapnelSec.png",2,5,WorldPivot,0)
	
	SED_shrapnellsecondary_fire=LoadSED("../data/gfx/SED/Projectiles/ShrapnelPrim.sed")
	IMGSED_shrapnellsecondary_fire=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)
	
end

function mms_shrapnellsecondary_create(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	Angle=PRJ_GetAngle(ID)
	for x=0,4,1 do
		DropSED(IMGSED_shrapnellsecondary_fire,SED_shrapnellsecondary_fire,X+math.sin(math.rad(Angle))*10,Y+math.cos(math.rad(Angle))*10,0,0,Angle,2.4,1)
	end
end

function mms_shrapnellsecondary_update(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	
	TX=PRJ_GetTargetX(ID)
	TY=PRJ_GetTargetY(ID)
	
	Angle=math.deg(math.atan2(TX*64-X,TY*64-Y))
	
	X=X+math.sin(math.rad(Angle))*8
	Y=Y+math.cos(math.rad(Angle))*8
	PRJ_SetX(ID,X)
	PRJ_SetY(ID,Y)
	
	DrawImage3D(IMG_shrapnellsecondary,X,Y,0,Angle,1)
	
	DropSED(IMGSED_shrapnellsecondary_fire,SED_shrapnellsecondary_fire,X,Y,0,0,Angle+180,5,1)

	if FNC_PointDistance(X,Y,TX*64,TY*64)<5 then
		for x=0,6,1 do
			DropSED(IMGSED_shrapnellsecondary_fire,SED_shrapnellsecondary_fire,X,Y,0,0,Angle,2,2)
		end
		Shatter(1)
		
		UNIT_PointDamageOnField(TX,TY,6)
		PRJ_DeleteProjectile(ID)
	end

end