--Mammoth Strike Six


function mms_vampiricblast_res()
	WorldPivot=GetWorldPivot()
	
	IMG_vampiricblast=LoadImage3D("../data/gfx/projectiles/vampiricblast.png",2,5,WorldPivot,-10)
	
	SED_vampiricblast_fire=LoadSED("../data/gfx/SED/projectiles/Poison.sed")
	IMGSED_vampiricblast_fire=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,-10)
end

function mms_vampiricblast_create(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	Angle=PRJ_GetAngle(ID)
	for x=0,4,1 do
		DropSED(IMGSED_vampiricblast_fire,SED_vampiricblast_fire,X+math.sin(math.rad(Angle))*10,Y+math.cos(math.rad(Angle))*10,0,0,Angle,2.4,1)
	end
end

function mms_vampiricblast_update(ID)
	X=PRJ_GetX(ID)
	Y=PRJ_GetY(ID)
	
	TX=PRJ_GetTargetX(ID)
	TY=PRJ_GetTargetY(ID)
	
	Angle=math.deg(math.atan2(TX*64-X,TY*64-Y))
	
	X=X+math.sin(math.rad(Angle))*7
	Y=Y+math.cos(math.rad(Angle))*7
	PRJ_SetX(ID,X)
	PRJ_SetY(ID,Y)
	
	DrawImage3D(IMG_vampiricblast,X,Y,0,Angle,1)
	DropSED(IMGSED_vampiricblast_fire,SED_vampiricblast_fire,X,Y,0,0,Angle+180,5,2)
	
	
	--lol=MAP_GetMAP((X/64),(Y/64),1)
	
	if FNC_PointDistance(X,Y,TX*64,TY*64)<8 then
			for x=0,12,1 do
				DropSED(IMGSED_vampiricblast_fire,SED_vampiricblast_fire,X,Y,0,0,0,2,2)
			end
			Shatter(0.1)
			
			UNIT_PointDamageOnField(TX,TY,3)
			--heal
			UnitID=PRJ_GetOwner(ID)
			UX=UNIT_GetX(UnitID)
			UY=UNIT_GetY(UnitID)
			UNIT_PointHealOnField(UX/64,UY/64,3)
			--
			PRJ_DeleteProjectile(ID)
		end

end