--Mammoth Strike Six

function mms_celore_res()
	IMG_celore=ImageRessource("../data/gfx/units/celore.png",1)

	SED_celore_boost=LoadSED("../data/gfx/SED/Ships/celore.sed")
	SED_celore_boostsmall=LoadSED("../data/gfx/SED/Ships/celoresmall.sed")

	WorldPivot=GetWorldPivot()
	IMGSED_celore_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

	SED_celore_death=LoadSED("../data/gfx/SED/deaths/CelOreExplosion.sed")

	VAR_celore_charge=0
	VAR_celore_chargeable=0
end

function mms_celore_create(UnitID)
		UNIT_SetHP(UnitID,40)
		UNIT_SetSize(UnitID,3)
end

function mms_celore_death(UnitID)
		UX=UNIT_GetX(UnitID)
		UY=UNIT_GetY(UnitID)
		USZ=UNIT_GetSize(UnitID)

		Off=(USZ-1)*32
		for x=0,12,1 do
			DropSED(IMGSED_celore_boost,SED_celore_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
			DropSED(IMGSED_celore_boost,SED_celore_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
			DropSED(IMGSED_celore_boost,SED_celore_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
			DropSED(IMGSED_celore_boost,SED_celore_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		end
end

function mms_celore_movement(UnitID)
		UX=UNIT_GetX(UnitID)/64
		UY=UNIT_GetY(UnitID)/64
		MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_celore_attackrange(UnitID)
		UX=UNIT_GetX(UnitID)/64
		UY=UNIT_GetY(UnitID)/64
		MAP_MarkAttackFieldCircle(UX-1,UY-1,8,1,0,0)
end

function mms_celore_update(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)
	SHIP_Angle=UNIT_GetAngle(UnitID)

	Off=(USZ-1)*32
	MSecs=GetMSecs()
	--Draw main ship
	DrawImage3D(IMG_celore,UX-Off,UY-Off,0,SHIP_Angle,1.4,0)
	--draw boost effects
	DropSED(IMGSED_celore_boost,SED_celore_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*50,UY-Off+math.cos(math.rad(SHIP_Angle+180))*50,0,0,SHIP_Angle+180,3,1)

	DropSED(IMGSED_celore_boost,SED_celore_boostsmall,UX-Off+math.sin(math.rad(SHIP_Angle+145))*60,UY-Off+math.cos(math.rad(SHIP_Angle+145))*60,0,0,SHIP_Angle+90,2,0.4)
	DropSED(IMGSED_celore_boost,SED_celore_boostsmall,UX-Off+math.sin(math.rad(SHIP_Angle+150))*68,UY-Off+math.cos(math.rad(SHIP_Angle+150))*68,0,0,SHIP_Angle+100,1,0.4)

	DropSED(IMGSED_celore_boost,SED_celore_boostsmall,UX-Off+math.sin(math.rad(SHIP_Angle-145))*60,UY-Off+math.cos(math.rad(SHIP_Angle-145))*60,0,0,SHIP_Angle-90,2,0.4)
	DropSED(IMGSED_celore_boost,SED_celore_boostsmall,UX-Off+math.sin(math.rad(SHIP_Angle-150))*68,UY-Off+math.cos(math.rad(SHIP_Angle-150))*68,0,0,SHIP_Angle-100,1,0.4)
end

function mms_celore_move(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)

	TX=UNIT_GetTargetX()
	TY=UNIT_GetTargetY()

	--Angle=UNIT_GetAngle(UnitID)
	Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
	UX=UX+math.sin(math.rad(Angle))*3
	UY=UY+math.cos(math.rad(Angle))*3
	UNIT_SetX(UnitID,UX)
	UNIT_SetY(UnitID,UY)
	UNIT_SetAngle(UnitID,Angle)
	Shatter(0.05)
	--stronger boost
	DropSED(IMGSED_celore_boost,SED_celore_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_celore_attack(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	TX=UNIT_GetTargetX()
	TY=UNIT_GetTargetY()

	Angle=UNIT_GetAngle(UnitID)
	Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
	UNIT_SetAngle(UnitID,Angle)

	MSecs=GetMSecs()

	if VAR_celore_chargeable==0 then
		VAR_celore_chargeable=1
		VAR_celore_charge=MSecs
	end
	if MSecs-VAR_celore_charge>800 then
		PRJ_CreateProjectile("disruptivelaser",UX-Off+math.sin(math.rad(Angle))*-42,UY-Off+math.cos(math.rad(Angle))*-42,Angle,TX,TY,UnitID)
		VAR_celore_chargeable=0
		VAR_celore_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_celore_boost,SED_celore_boost,UX-Off+math.sin(math.rad(SHIP_Angle))*-42,UY-Off+math.cos(math.rad(SHIP_Angle))*-42,0,0,SHIP_Angle,0.5,2.4*(MSecs-VAR_celore_charge)/800)
	end

end