--Mammoth Strike Six

function mms_drownmoth_res()
IMG_drownmoth=ImageRessource("../data/gfx/units/drownmoth.png",1)

WorldPivot=GetWorldPivot()
SED_drownmoth_boost=LoadSED("../data/gfx/SED/Ships/drownmoth.sed")
IMGSED_drownmoth_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_drownmoth_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
end

function mms_drownmoth_create(UnitID)
	UNIT_SetHP(UnitID,12)
	UNIT_SetSize(UnitID,1)
end

function mms_drownmoth_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_drownmoth_boost,SED_drownmoth_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_drownmoth_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,3)
end 

function mms_drownmoth_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,5,1,0,0)
end

function mms_drownmoth_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_drownmoth,UX,UY,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_drownmoth_boost,SED_drownmoth_boost,UX+math.sin(math.rad(SHIP_Angle+180))*12,UY+math.cos(math.rad(SHIP_Angle+180))*12,0,0,SHIP_Angle+180,1,0.8)
end

function mms_drownmoth_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_drownmoth_boost,SED_drownmoth_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.2,1)
end

function mms_drownmoth_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	PRJ_CreateProjectile("DrownmothHeadbutt",UX,UY,Angle,TX,TY,UNIT_GetOwner(UnitID))
	UNIT_PointDamageOnField(UX/64,UY/64,12)
	UNIT_StopAttacking()
end
end