--Mammoth Strike Six

function mms_edgehatch_res()
IMG_edgehatch=ImageRessource("../data/gfx/units/edgehatch.png",1)

WorldPivot=GetWorldPivot()
SED_edgehatch_boost=LoadSED("../data/gfx/SED/Ships/edgehatch.sed")
IMGSED_edgehatch_boost=LoadImage3D("../data/gfx/effects/longgradient.png",2,5,WorldPivot,0)

SED_edgehatch_death=LoadSED("../data/gfx/SED/Deaths/explosion.sed")
end

function mms_edgehatch_create(UnitID)
	UNIT_SetHP(UnitID,12)
	UNIT_SetSize(UnitID,1)
end

function mms_edgehatch_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,4,1 do
		DropSED(IMGSED_edgehatch_boost,SED_edgehatch_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),2)
	end
end

function mms_edgehatch_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,5)
end 

function mms_edgehatch_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,5,0,1,0)
end

function mms_edgehatch_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_edgehatch,UX,UY,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_edgehatch_boost,SED_edgehatch_boost,UX+math.sin(math.rad(SHIP_Angle+180))*12,UY+math.cos(math.rad(SHIP_Angle+180))*12,0,0,SHIP_Angle+180,0.1,0.4)
end

function mms_edgehatch_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_edgehatch_boost,SED_edgehatch_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.2,1)
end

function mms_edgehatch_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	PRJ_CreateProjectile("heallaser",UX,UY,Angle,TX,TY,UnitID)
	UNIT_StopAttacking()
end
end