--Mammoth Strike Six

function mms_flamerider_res()
IMG_flamerider=ImageRessource("../data/gfx/units/flamerider.png",1)

WorldPivot=GetWorldPivot()
SED_flamerider_boost=LoadSED("../data/gfx/SED/Ships/flamerider.sed")
IMGSED_flamerider_boost=LoadImage3D("../data/gfx/effects/fire.png",2,5,WorldPivot,0)

SED_flamerider_death=LoadSED("../data/gfx/SED/deaths/explosion.sed")

SED_flamerider_charge=LoadSED("../data/gfx/SED/Projectiles/seerbomb.sed")
IMGSED_flamerider_charge=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)


VAR_flamerider_charge=0
VAR_flamerider_chargeable=0
end

function mms_flamerider_create(UnitID)
	UNIT_SetHP(UnitID,55)
	UNIT_SetSize(UnitID,3)
end

function mms_flamerider_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_flamerider_boost,SED_flamerider_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_flamerider_boost,SED_flamerider_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_flamerider_boost,SED_flamerider_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_flamerider_boost,SED_flamerider_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
end

function mms_flamerider_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_flamerider_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,4,1,0,1)
end

function mms_flamerider_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_flamerider,UX-Off,UY-Off,0,SHIP_Angle,1.2,0)
--draw boost effects
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle+98))*70,UY-Off+math.cos(math.rad(SHIP_Angle+98))*70,0,0,SHIP_Angle+90,4,1)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle+75))*65,UY-Off+math.cos(math.rad(SHIP_Angle+75))*65,0,0,SHIP_Angle+90,2,0.4)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle+65))*70,UY-Off+math.cos(math.rad(SHIP_Angle+65))*70,0,0,SHIP_Angle+90,2,0.4)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle+55))*75,UY-Off+math.cos(math.rad(SHIP_Angle+55))*75,0,0,SHIP_Angle+90,2,0.4)

DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle-98))*70,UY-Off+math.cos(math.rad(SHIP_Angle-98))*70,0,0,SHIP_Angle-90,4,1)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle-75))*65,UY-Off+math.cos(math.rad(SHIP_Angle-75))*65,0,0,SHIP_Angle-90,2,0.4)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle-65))*70,UY-Off+math.cos(math.rad(SHIP_Angle-65))*70,0,0,SHIP_Angle-90,2,0.4)
DropSED(IMGSED_flamerider_boost,SED_flamerider_boost,UX-Off+math.sin(math.rad(SHIP_Angle-55))*75,UY-Off+math.cos(math.rad(SHIP_Angle-55))*75,0,0,SHIP_Angle-90,2,0.4)

end

function mms_flamerider_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost

end

function mms_flamerider_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_flamerider_chargeable==0 then
		VAR_flamerider_chargeable=1
		VAR_flamerider_charge=MSecs
	end
	
	if MSecs-VAR_flamerider_charge>2150 then
		PRJ_CreateProjectile("armalizerhuge",UX-Off+math.sin(math.rad(Angle-45+VAR_flamerider_chargeable*6))*64,UY-Off+math.cos(math.rad(Angle-45+VAR_flamerider_chargeable*6))*64,Angle,TX+(math.sin(math.rad(Angle-20))*128*VAR_flamerider_chargeable)/64,TY+(math.cos(math.rad(Angle-20))*128*VAR_flamerider_chargeable)/64,UnitID)
		PRJ_CreateProjectile("armalizerhuge",UX-Off+math.sin(math.rad(Angle+45-VAR_flamerider_chargeable*6))*64,UY-Off+math.cos(math.rad(Angle+45-VAR_flamerider_chargeable*6))*64,Angle,TX+(math.sin(math.rad(Angle+20))*128*VAR_flamerider_chargeable)/64,TY+(math.cos(math.rad(Angle+20))*128*VAR_flamerider_chargeable)/64,UnitID)
		VAR_flamerider_charge=MSecs-1900
		Shatter(1)
		VAR_flamerider_chargeable=VAR_flamerider_chargeable+1
		
		else
		DropSED(IMGSED_flamerider_charge,SED_flamerider_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*96,UY-Off+math.cos(math.rad(SHIP_Angle))*96,0,0,SHIP_Angle,3*((MSecs-VAR_flamerider_charge)/2150),1)
	end
	
	if VAR_flamerider_chargeable==4 then
		UNIT_StopAttacking()
		VAR_flamerider_chargeable=0
	end
		
--end
end