--Mammoth Strike Six

function mms_hystrix_res()
IMG_hystrix=ImageRessource("../data/gfx/units/hystrix.png",1)

WorldPivot=GetWorldPivot()

IMGSED_hystrix_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)
SED_hystrix_boost=LoadSED("../data/gfx/SED/Projectiles/overcharged.sed")

SED_hystrix_death=LoadSED("../data/gfx/SED/Deaths/hystrixexplosion.sed")
end

function mms_hystrix_create(UnitID)
	UNIT_SetHP(UnitID,5)
	UNIT_SetSize(UnitID,1)
end

function mms_hystrix_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	DropSED(IMGSED_hystrix_boost,SED_hystrix_death,UX,UY,0,0,0,2*FNC_GetRandom(0,2,1),1)
	
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64+1,UY/64)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64-1,UY/64)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64,UY/64+1)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64,UY/64-1)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64+1,UY/64+1)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64-1,UY/64-1)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64-1,UY/64+1)
	PRJ_CreateProjectile("hystrixia",UX,UY,Angle,UX/64+1,UY/64-1)
end

function mms_hystrix_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,3)
end 

function mms_hystrix_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,2,1,1,0)
end

function mms_hystrix_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_hystrix,UX,UY,0,MSecs*0.1,1.3,0)
end

function mms_hystrix_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_hystrix_boost,SED_hystrix_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.6,1)
end

function mms_hystrix_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

UNIT_PointDamageOnField(UX/64,UY/64,5)
Shatter(3)
UNIT_StopAttacking()

end

