--Mammoth Strike Six

function mms_hystrixalon_res()
IMG_hystrixalon=ImageRessource("../data/gfx/units/hystrixalon.png",1)

WorldPivot=GetWorldPivot()
SED_hystrixalon_boost=LoadSED("../data/gfx/SED/Ships/hystrixalon.sed")
IMGSED_hystrixalon_boost=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)

SED_hystrixalon_death=LoadSED("../data/gfx/SED/deaths/thunderblasterexplosion.sed")

SED_hystrixalon_charge=LoadSED("../data/gfx/SED/Projectiles/seerbomb.sed")
IMGSED_hystrixalon_charge=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)


VAR_hystrixalon_charge=0
VAR_hystrixalon_chargeable=0
end

function mms_hystrixalon_create(UnitID)
	UNIT_SetHP(UnitID,55)
	UNIT_SetSize(UnitID,3)
end

function mms_hystrixalon_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	
end

function mms_hystrixalon_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,6)
end 

function mms_hystrixalon_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,6,0,0,1)
end

function mms_hystrixalon_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_hystrixalon,UX-Off,UY-Off,0,SHIP_Angle,1.5,0)
--draw boost effects
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+175))*48,UY-Off+math.cos(math.rad(SHIP_Angle+175))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+185))*48,UY-Off+math.cos(math.rad(SHIP_Angle+185))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+160))*48,UY-Off+math.cos(math.rad(SHIP_Angle+160))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+200))*48,UY-Off+math.cos(math.rad(SHIP_Angle+200))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+145))*48,UY-Off+math.cos(math.rad(SHIP_Angle+145))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off+math.sin(math.rad(SHIP_Angle+215))*48,UY-Off+math.cos(math.rad(SHIP_Angle+215))*48,0,0,SHIP_Angle+180,4,0.4)

end

function mms_hystrixalon_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_hystrixalon_boost,SED_hystrixalon_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_hystrixalon_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_hystrixalon_chargeable==0 then
		VAR_hystrixalon_chargeable=1
		VAR_hystrixalon_charge=MSecs
	end
	if MSecs-VAR_hystrixalon_charge>800 then
		PRJ_CreateProjectile("hystrixbomb",UX-Off+math.sin(math.rad(Angle))*32*USZ,UY-Off+math.cos(math.rad(Angle))*32*USZ,Angle,TX,TY,UnitID)
		Shatter(1)
		VAR_hystrixalon_chargeable=0
		VAR_hystrixalon_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_hystrixalon_charge,SED_hystrixalon_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*96,UY-Off+math.cos(math.rad(SHIP_Angle))*96,0,0,SHIP_Angle,2,2.4*(MSecs-VAR_hystrixalon_charge)/800)
	end
		
--end
end