--Mammoth Strike Six

function mms_inquisitor_res()
IMG_inquisitor=ImageRessource("../data/gfx/units/inquisitor.png",1)

WorldPivot=GetWorldPivot()
SED_inquisitor_boost=LoadSED("../data/gfx/SED/Ships/Vvajiboost.sed")
IMGSED_inquisitor_boost=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)

SED_inquisitor_death=LoadSED("../data/gfx/SED/Deaths/subkillexplosion.sed")
SED_inquisitor_charge=LoadSED("../data/gfx/SED/Projectiles/toxicon.sed")

VAR_inquisitor_charge=0
VAR_inquisitor_chargeable=0
VAR_inquisitor_proj=0
end

function mms_inquisitor_create(UnitID)
	UNIT_SetHP(UnitID,18)
	UNIT_SetSize(UnitID,1)
end

function mms_inquisitor_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,24,1 do
		DropSED(IMGSED_inquisitor_boost,SED_inquisitor_death,UX-Off,UY-Off,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_inquisitor_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX,UY,3,1,0,0)
end 

function mms_inquisitor_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,5,1,0,0)
end

function mms_inquisitor_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
--Draw main ship
DrawImage3D(IMG_inquisitor,UX-Off,UY-Off,0,SHIP_Angle,1.2,0)
--draw boost effects
DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+210))*20,UY-Off+math.cos(math.rad(SHIP_Angle+210))*20,0,0,SHIP_Angle+180,1,0.4)
DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+150))*20,UY-Off+math.cos(math.rad(SHIP_Angle+150))*20,0,0,SHIP_Angle+180,1,0.4)

end

function mms_inquisitor_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*3
UY=UY+math.cos(math.rad(Angle))*3
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*20,UY-Off+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*30,UY-Off+math.cos(math.rad(SHIP_Angle+180))*30,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+90))*20,UY-Off+math.cos(math.rad(SHIP_Angle+90))*20,0,0,SHIP_Angle+180,3,1)
DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle+20))*25,UY-Off+math.cos(math.rad(SHIP_Angle+20))*25,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle-90))*20,UY-Off+math.cos(math.rad(SHIP_Angle-90))*20,0,0,SHIP_Angle+180,3,1)
DropSED(IMGSED_inquisitor_boost,SED_inquisitor_boost,UX-Off+math.sin(math.rad(SHIP_Angle-20))*25,UY-Off+math.cos(math.rad(SHIP_Angle-20))*25,0,0,SHIP_Angle+180,3,1)
end

function mms_inquisitor_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)
USZ=UNIT_GetSize(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_inquisitor_chargeable==0 then
		VAR_inquisitor_chargeable=1
		VAR_inquisitor_charge=MSecs
	end
	if MSecs-VAR_inquisitor_charge>250 then
		PRJ_CreateProjectile("vampiricblast",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_inquisitor_proj-1)*45))*20,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_inquisitor_proj-1)*45))*20,Angle,TX,TY,UnitID)	
		Shatter(1)
		VAR_inquisitor_chargeable=VAR_inquisitor_chargeable+1
		VAR_inquisitor_charge=MSecs
		VAR_inquisitor_proj=2-VAR_inquisitor_proj
	end
	if VAR_inquisitor_chargeable==5 then
		UNIT_StopAttacking()
		VAR_inquisitor_chargeable=0
		VAR_inquisitor_proj=0
	end
--end
end

function mms_inquisitor_event(UnitID)

end