--Mammoth Strike Six

function mms_mammothstriker_res()
IMG_mammothstriker=ImageRessource("../data/gfx/units/mammothstriker.png",1)

WorldPivot=GetWorldPivot()
SED_mammothstriker_boost=LoadSED("../data/gfx/SED/Ships/Mammoth Striker.sed")
IMGSED_mammothstriker_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_mammothstriker_death=LoadSED("../data/gfx/SED/deaths/septicexplosion.sed")


VAR_mammothstriker_charge=0
VAR_mammothstriker_chargeable=0
VAR_mammothstriker_proj=0
end

function mms_mammothstriker_create(UnitID)
	UNIT_SetHP(UnitID,55)
	UNIT_SetSize(UnitID,3)
end

function mms_mammothstriker_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	for x=0,11,1 do
		PRJ_CreateProjectile("chainlightning",UX,UY,Angle,UX/64+(math.sin(math.rad(x*30))*192)/64,UY/64+(math.cos(math.rad(x*30))*192)/64)
	end
end

function mms_mammothstriker_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,7)
end 

function mms_mammothstriker_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,9,1,0,1)
end

function mms_mammothstriker_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_mammothstriker,UX-Off,UY-Off,0,SHIP_Angle,1.3,0)
--draw boost effects
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+175))*48,UY-Off+math.cos(math.rad(SHIP_Angle+175))*48,0,0,SHIP_Angle+180,2,0.6)
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+185))*48,UY-Off+math.cos(math.rad(SHIP_Angle+185))*48,0,0,SHIP_Angle+180,2,0.6)
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+160))*48,UY-Off+math.cos(math.rad(SHIP_Angle+160))*48,0,0,SHIP_Angle+180,2,0.6)
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+200))*48,UY-Off+math.cos(math.rad(SHIP_Angle+200))*48,0,0,SHIP_Angle+180,2,0.6)
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+145))*48,UY-Off+math.cos(math.rad(SHIP_Angle+145))*48,0,0,SHIP_Angle+145,2,0.6)
DropSED(IMGSED_mammothstriker_boost,SED_mammothstriker_boost,UX-Off+math.sin(math.rad(SHIP_Angle+215))*48,UY-Off+math.cos(math.rad(SHIP_Angle+215))*48,0,0,SHIP_Angle+215,2,0.6)
end

function mms_mammothstriker_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)

end

function mms_mammothstriker_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
Off=(USZ-1)*32
TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_mammothstriker_chargeable==0 then
		VAR_mammothstriker_chargeable=1
		VAR_mammothstriker_charge=MSecs
	end
	if MSecs-VAR_mammothstriker_charge>25 then
		PRJ_CreateProjectile("machinegunbullet",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_mammothstriker_proj-1)*23))*64,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_mammothstriker_proj-1)*23))*64,Angle,TX+FNC_GetRandom(-1,1,0),TY+FNC_GetRandom(-1,1,0),UnitID)	
		Shatter(0.01)
		VAR_mammothstriker_chargeable=VAR_mammothstriker_chargeable+1
		VAR_mammothstriker_charge=MSecs
		VAR_mammothstriker_proj=2-VAR_mammothstriker_proj
	end
	if VAR_mammothstriker_chargeable==80 then
		UNIT_StopAttacking()
		VAR_mammothstriker_chargeable=0
		VAR_mammothstriker_proj=0
	end
		
--end
end