--Mammoth Strike Six

function mms_quadrown_res()
IMG_quadrown=ImageRessource("../data/gfx/units/quadrown.png",1)

WorldPivot=GetWorldPivot()
SED_quadrown_boost=LoadSED("../data/gfx/SED/Ships/septic.sed")
IMGSED_quadrown_boost=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)

SED_quadrown_death=LoadSED("../data/gfx/SED/deaths/thunderblasterexplosion.sed")

VAR_quadrown_charge=0
VAR_quadrown_chargeable=0
end

function mms_quadrown_create(UnitID)
	UNIT_SetHP(UnitID,45)
	UNIT_SetSize(UnitID,2)
end

function mms_quadrown_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_quadrown_boost,SED_quadrown_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_quadrown_boost,SED_quadrown_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_quadrown_boost,SED_quadrown_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_quadrown_boost,SED_quadrown_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	UNIT_CreateUnit("Drownmoth",UX/64,UY/64,UNIT_GetOwner(UnitID))
	UNIT_CreateUnit("Drownmoth",UX/64-1,UY/64,UNIT_GetOwner(UnitID))
	UNIT_CreateUnit("Drownmoth",UX/64-1,UY/64-1,UNIT_GetOwner(UnitID))
	UNIT_CreateUnit("Drownmoth",UX/64,UY/64-1,UNIT_GetOwner(UnitID))
	
end

function mms_quadrown_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX,UY,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX,UY-1,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY-1,5,1,0,0)
end 

function mms_quadrown_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX,UY-1,6,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY-1,6,1,0,0)
end

function mms_quadrown_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_quadrown,UX-Off,UY-Off,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_quadrown_boost,SED_quadrown_boost,UX-Off+math.sin(math.rad(SHIP_Angle+189))*48,UY-Off+math.cos(math.rad(SHIP_Angle+180))*48,0,0,SHIP_Angle+180,4,0.4)

end

function mms_quadrown_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_quadrown_boost,SED_quadrown_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_quadrown_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_quadrown_chargeable==0 then
		VAR_quadrown_chargeable=1
		VAR_quadrown_charge=MSecs
	end
	
	if MSecs-VAR_quadrown_charge>500 then
		PRJ_CreateProjectile("DrownmothHeadbutt",UX-Off+math.sin(math.rad(Angle-45+VAR_quadrown_chargeable*6))*64,UY-Off+math.cos(math.rad(Angle-45+VAR_quadrown_chargeable*6))*64,Angle,TX+(math.sin(math.rad(Angle))*(64*(VAR_quadrown_chargeable-1)))/64,TY+(math.cos(math.rad(Angle))*(64*(VAR_quadrown_chargeable-1)))/64,UnitID)
		PRJ_CreateProjectile("DrownmothHeadbutt",UX-Off+math.sin(math.rad(Angle+45-VAR_quadrown_chargeable*6))*64,UY-Off+math.cos(math.rad(Angle+45-VAR_quadrown_chargeable*6))*64,Angle,TX+(math.sin(math.rad(Angle))*(64*(VAR_quadrown_chargeable+1)))/64,TY+(math.cos(math.rad(Angle))*(64*(VAR_quadrown_chargeable+1)))/64,UnitID)
		Shatter(1)
		VAR_quadrown_chargeable=VAR_quadrown_chargeable+1
		VAR_quadrown_charge=MSecs
	end
	
	if VAR_quadrown_chargeable==3 then
		UNIT_StopAttacking()
		VAR_quadrown_chargeable=0
	end
		
--end
end

function mms_quadrown_event(UnitID)

end