--Mammoth Strike Six

function mms_septic_res()
IMG_septic=ImageRessource("../data/gfx/units/septic.png",1)

WorldPivot=GetWorldPivot()
SED_septic_boost=LoadSED("../data/gfx/SED/Ships/septic.sed")
IMGSED_septic_boost=LoadImage3D("../data/gfx/effects/sharpedge.png",2,5,WorldPivot,0)

SED_septic_death=LoadSED("../data/gfx/SED/Deaths/septicexplosion.sed")
SED_septic_charge=LoadSED("../data/gfx/SED/Projectiles/toxicon.sed")

VAR_septic_charge=0
VAR_septic_chargeable=0
end

function mms_septic_create(UnitID)
	UNIT_SetHP(UnitID,35)
	UNIT_SetSize(UnitID,2)
end

function mms_septic_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
		USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,36,1 do
		DropSED(IMGSED_septic_boost,SED_septic_death,UX-Off,UY-Off,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_septic_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX,UY,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX,UY-1,5,1,0,0)
	MAP_MarkMovementFieldCircle(UX-1,UY-1,5,1,0,0)
end 

function mms_septic_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,7,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY,7,1,0,0)
	MAP_MarkAttackFieldCircle(UX,UY-1,7,1,0,0)
	MAP_MarkAttackFieldCircle(UX-1,UY-1,7,1,0,0)
end

function mms_septic_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
--Draw main ship
DrawImage3D(IMG_septic,UX-Off,UY-Off,0,SHIP_Angle,1.2,0)
--draw boost effects
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*20,UY-Off+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,0.1,0.4)

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*30,UY-Off+math.cos(math.rad(SHIP_Angle+180))*30,0,0,SHIP_Angle+180,1,1*FNC_GetRandom(0,1,2))

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+90))*20,UY-Off+math.cos(math.rad(SHIP_Angle+90))*20,0,0,SHIP_Angle+180,1,1*FNC_GetRandom(0,1,2))
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+20))*25,UY-Off+math.cos(math.rad(SHIP_Angle+20))*25,0,0,SHIP_Angle+180,1,1*FNC_GetRandom(0,1,2))

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle-90))*20,UY-Off+math.cos(math.rad(SHIP_Angle-90))*20,0,0,SHIP_Angle+180,1,1*FNC_GetRandom(0,1,2))
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle-20))*25,UY-Off+math.cos(math.rad(SHIP_Angle-20))*25,0,0,SHIP_Angle+180,1,1*FNC_GetRandom(0,1,2))

end

function mms_septic_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*3
UY=UY+math.cos(math.rad(Angle))*3
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*20,UY-Off+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*30,UY-Off+math.cos(math.rad(SHIP_Angle+180))*30,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+90))*20,UY-Off+math.cos(math.rad(SHIP_Angle+90))*20,0,0,SHIP_Angle+180,3,1)
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle+20))*25,UY-Off+math.cos(math.rad(SHIP_Angle+20))*25,0,0,SHIP_Angle+180,3,1)

DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle-90))*20,UY-Off+math.cos(math.rad(SHIP_Angle-90))*20,0,0,SHIP_Angle+180,3,1)
DropSED(IMGSED_septic_boost,SED_septic_boost,UX-Off+math.sin(math.rad(SHIP_Angle-20))*25,UY-Off+math.cos(math.rad(SHIP_Angle-20))*25,0,0,SHIP_Angle+180,3,1)
end

function mms_septic_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_septic_chargeable==0 then
		VAR_septic_chargeable=1
		VAR_septic_charge=MSecs
	end
	DropSED(IMGSED_septic_boost,SED_septic_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle))*20*USZ,0,0,Angle+FNC_GetRandom(-180,180,1),3*((MSecs-VAR_septic_charge)/500),1)
	if MSecs-VAR_septic_charge>250 then
		PRJ_CreateProjectile("toxicon",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_septic_chargeable)*10))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_septic_chargeable)*10))*20*USZ,Angle,TX,TY)
		PRJ_CreateProjectile("toxicon",UX-Off+math.sin(math.rad(SHIP_Angle+(VAR_septic_chargeable)*-10))*20*USZ,UY-Off+math.cos(math.rad(SHIP_Angle+(VAR_septic_chargeable)*-10))*20*USZ,Angle,TX,TY)
		Shatter(1)
		VAR_septic_chargeable=VAR_septic_chargeable+1
		VAR_septic_charge=MSecs
	end
	if VAR_septic_chargeable==5 then
		UNIT_StopAttacking()
		VAR_septic_chargeable=0
	end
--end
end

function mms_septic_event(UnitID)
	if UNIT_GetEvent(UnitID,1)=="1" then--rundenanfang
		UNIT_HealUnit(UnitID,5)
	end
end