--Mammoth Strike Six

function mms_sleipnir_res()
IMG_sleipnir=ImageRessource("../data/gfx/units/sleipnir.png",1)

WorldPivot=GetWorldPivot()
SED_sleipnir_boost=LoadSED("../data/gfx/SED/Ships/sleipnir.sed")
IMGSED_sleipnir_boost=LoadImage3D("../data/gfx/effects/Fire.png",2,5,WorldPivot,0)

SED_sleipnir_death=LoadSED("../data/gfx/SED/deaths/subkillexplosion.sed")

SED_sleipnir_charge=LoadSED("../data/gfx/SED/Projectiles/overcharged.sed")
IMGSED_sleipnir_charge=LoadImage3D("../data/gfx/effects/bolt.png",2,5,WorldPivot,-10)


VAR_sleipnir_charge=0
VAR_sleipnir_chargeable=0
end

function mms_sleipnir_create(UnitID)
	UNIT_SetHP(UnitID,122)
	UNIT_SetSize(UnitID,6)
end

function mms_sleipnir_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_sleipnir_boost,SED_sleipnir_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_sleipnir_boost,SED_sleipnir_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_sleipnir_boost,SED_sleipnir_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_sleipnir_boost,SED_sleipnir_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
end

function mms_sleipnir_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-3,UY-3,8)
	MAP_MarkMovementFieldCircle(UX-4,UY-4,8)
end 

function mms_sleipnir_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-3,UY-3,12,1,0,0)
	MAP_MarkAttackFieldCircle(UX-4,UY-4,12,1,0,0)
end

function mms_sleipnir_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_sleipnir,UX-Off,UY-Off,0,SHIP_Angle,1.2,0)
--draw boost effects
DropSED(IMGSED_sleipnir_boost,SED_sleipnir_boost,UX-Off+math.sin(math.rad(SHIP_Angle+180))*192,UY-Off+math.cos(math.rad(SHIP_Angle+180))*192,0,0,SHIP_Angle+180,2,0.7)

end

function mms_sleipnir_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_sleipnir_boost,SED_sleipnir_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_sleipnir_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_sleipnir_chargeable==0 then
		VAR_sleipnir_chargeable=1
		VAR_sleipnir_charge=MSecs
	end
	if MSecs-VAR_sleipnir_charge>1150 then
		PRJ_CreateProjectile("Ionblast",UX-Off+math.sin(math.rad(Angle))*32*USZ,UY-Off+math.cos(math.rad(Angle))*32*USZ,Angle,TX,TY,UnitID)
		Shatter(1)
		VAR_sleipnir_chargeable=0
		VAR_sleipnir_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_sleipnir_charge,SED_sleipnir_charge,UX-Off+math.sin(math.rad(SHIP_Angle))*160*(0.3+(MSecs-VAR_sleipnir_charge)/1150),UY-Off+math.cos(math.rad(SHIP_Angle))*160*(0.3+(MSecs-VAR_sleipnir_charge)/1150),0,0,SHIP_Angle,2,0.4)

	end
		
--end
end