--Mammoth Strike Six

function mms_subkill_res()
IMG_subkill=ImageRessource("../data/gfx/units/subkill.png",1)

WorldPivot=GetWorldPivot()
SED_subkill_boost=LoadSED("../data/gfx/SED/Ships/subkill.sed")
IMGSED_subkill_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)

SED_subkill_death=LoadSED("../data/gfx/SED/Deaths/subkillexplosion.sed")
SED_subkill_charge=LoadSED("../data/gfx/SED/Projectiles/Photoblast.sed")

VAR_subkill_charge=0
VAR_subkill_chargeable=0
end

function mms_subkill_create(UnitID)
	UNIT_SetHP(UnitID,5)
	UNIT_SetSize(UnitID,1)
end

function mms_subkill_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,12,1 do
		DropSED(IMGSED_subkill_boost,SED_subkill_death,UX,UY,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_subkill_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,4)
end 

function mms_subkill_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,9,1,0,0)
end

function mms_subkill_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
--Draw main ship
DrawImage3D(IMG_subkill,UX,UY,0,SHIP_Angle,1,0)
--draw boost effects
DropSED(IMGSED_subkill_boost,SED_subkill_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,1,0.4)
end

function mms_subkill_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

--stronger boost
DropSED(IMGSED_subkill_boost,SED_subkill_boost,UX+math.sin(math.rad(SHIP_Angle+180))*20,UY+math.cos(math.rad(SHIP_Angle+180))*20,0,0,SHIP_Angle+180,3,1)
end

function mms_subkill_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_subkill_chargeable==0 then
		VAR_subkill_chargeable=1
		VAR_subkill_charge=MSecs
	end
	DropSED(IMGSED_subkill_boost,SED_subkill_charge,UX+math.sin(math.rad(SHIP_Angle))*20,UY+math.cos(math.rad(SHIP_Angle))*20,0,0,Angle+FNC_GetRandom(-180,180,1),3*((MSecs-VAR_subkill_charge)/1500),1)
	if MSecs-VAR_subkill_charge>500 then
		PRJ_CreateProjectile("photoblast",UX,UY,Angle,TX,TY)
		Shatter(3)
		UNIT_StopAttacking()
		VAR_subkill_chargeable=0
	end
end
end