--Mammoth Strike Six

function mms_thunderblaster_res()
IMG_thunderblaster=ImageRessource("../data/gfx/units/thunderblaster.png",1)

WorldPivot=GetWorldPivot()
SED_thunderblaster_boost=LoadSED("../data/gfx/SED/Ships/thunderblaster.sed")
IMGSED_thunderblaster_boost=LoadImage3D("../data/gfx/effects/pentastrife.png",2,5,WorldPivot,0)

SED_thunderblaster_death=LoadSED("../data/gfx/SED/deaths/thunderblasterexplosion.sed")

SED_thunderblaster_charge=LoadSED("../data/gfx/SED/Projectiles/overcharged.sed")
IMGSED_thunderblaster_charge=LoadImage3D("../data/gfx/effects/bolt.png",2,5,WorldPivot,0)


VAR_thunderblaster_charge=0
VAR_thunderblaster_chargeable=0
end

function mms_thunderblaster_create(UnitID)
	UNIT_SetHP(UnitID,55)
	UNIT_SetSize(UnitID,3)
end

function mms_thunderblaster_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	USZ=UNIT_GetSize(UnitID)

	Off=(USZ-1)*32
	for x=0,12,1 do
		DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_death,UX-Off,UY-Off,0,0,0,x*1.1,2)
		DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
		DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_death,UX-Off,UY-Off,0,0,0,FNC_GetRandom(0,8,1),2)
	end
	
	for x=0,11,1 do
		PRJ_CreateProjectile("chainlightning",UX,UY,Angle,UX/64+(math.sin(math.rad(x*30))*192)/64,UY/64+(math.cos(math.rad(x*30))*192)/64)
	end
end

function mms_thunderblaster_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkMovementFieldCircle(UX-1,UY-1,5)
end 

function mms_thunderblaster_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX-1,UY-1,9,1,0,1)
end

function mms_thunderblaster_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)
SHIP_Angle=UNIT_GetAngle(UnitID)

Off=(USZ-1)*32
MSecs=GetMSecs()
--Draw main ship
DrawImage3D(IMG_thunderblaster,UX-Off,UY-Off,0,SHIP_Angle,1.5,0)
--draw boost effects
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+175))*48,UY-Off+math.cos(math.rad(SHIP_Angle+175))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+185))*48,UY-Off+math.cos(math.rad(SHIP_Angle+185))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+160))*48,UY-Off+math.cos(math.rad(SHIP_Angle+160))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+200))*48,UY-Off+math.cos(math.rad(SHIP_Angle+200))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+145))*48,UY-Off+math.cos(math.rad(SHIP_Angle+145))*48,0,0,SHIP_Angle+180,4,0.4)
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off+math.sin(math.rad(SHIP_Angle+215))*48,UY-Off+math.cos(math.rad(SHIP_Angle+215))*48,0,0,SHIP_Angle+180,4,0.4)

end

function mms_thunderblaster_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

--Angle=UNIT_GetAngle(UnitID)
Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4
UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)
Shatter(0.05)
--stronger boost
DropSED(IMGSED_thunderblaster_boost,SED_thunderblaster_boost,UX-Off,UY-Off,0,0,SHIP_Angle+180,1.2,0.5)
end

function mms_thunderblaster_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
USZ=UNIT_GetSize(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX+Off,TY*64-UY+Off))-Angle)*0.08
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

--if (math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)<5 then
	if VAR_thunderblaster_chargeable==0 then
		VAR_thunderblaster_chargeable=1
		VAR_thunderblaster_charge=MSecs
	end
	if MSecs-VAR_thunderblaster_charge>1150 then
		PRJ_CreateProjectile("thunderlance",UX-Off+math.sin(math.rad(Angle-20))*32*USZ,UY-Off+math.cos(math.rad(Angle-20))*32*USZ,Angle,TX+(math.sin(math.rad(Angle-20))*64)/64,TY+(math.cos(math.rad(Angle-20))*64)/64)
		PRJ_CreateProjectile("thunderlance",UX-Off+math.sin(math.rad(Angle+20))*32*USZ,UY-Off+math.cos(math.rad(Angle+20))*32*USZ,Angle,TX+(math.sin(math.rad(Angle+20))*64)/64,TY+(math.cos(math.rad(Angle+20))*64)/64)
		Shatter(1)
		VAR_thunderblaster_chargeable=0
		VAR_thunderblaster_charge=MSecs
		UNIT_StopAttacking()
		else
		DropSED(IMGSED_thunderblaster_charge,SED_thunderblaster_charge,UX-Off+math.sin(math.rad(SHIP_Angle-15))*96*(MSecs-VAR_thunderblaster_charge)/1150,UY-Off+math.cos(math.rad(SHIP_Angle-15))*96*(MSecs-VAR_thunderblaster_charge)/1150,0,0,SHIP_Angle,2,0.4)
		DropSED(IMGSED_thunderblaster_charge,SED_thunderblaster_charge,UX-Off+math.sin(math.rad(SHIP_Angle+15))*96*(MSecs-VAR_thunderblaster_charge)/1150,UY-Off+math.cos(math.rad(SHIP_Angle+15))*96*(MSecs-VAR_thunderblaster_charge)/1150,0,0,SHIP_Angle,2,0.4)

	end
		
--end
end