--Mammoth Strike Six

function mms_voidcopter_res()
IMG_voidcopter=ImageRessource("../data/gfx/units/voidcopter.png",1)

WorldPivot=GetWorldPivot()
SED_voidcopter_boost=LoadSED("../data/gfx/SED/Ships/Voidcopter.sed")
IMGSED_voidcopter_boost=LoadImage3D("../data/gfx/effects/Pixelated.png",2,5,WorldPivot,0)
IMG_voidcopter_wings=LoadImage3D("../data/gfx/effects/VoidcopterWings.png",2,2,WorldPivot,-10)


SED_voidcopter_death=LoadSED("../data/gfx/SED/Deaths/subkillexplosion.sed")
SED_voidcopter_charge=LoadSED("../data/gfx/SED/Projectiles/Photoblast.sed")

VAR_voidcopter_charge=0
VAR_voidcopter_chargeable=0
VAR_voidcopter_proj=0
end

function mms_voidcopter_create(UnitID)
	UNIT_SetHP(UnitID,25)
	UNIT_SetSize(UnitID,1)
end

function mms_voidcopter_death(UnitID)
	UX=UNIT_GetX(UnitID)
	UY=UNIT_GetY(UnitID)
	for x=0,3,1 do
		DropSED(IMGSED_voidcopter_boost,SED_voidcopter_death,UX,UY,0,0,0,2*FNC_GetRandom(0,3,1),2)
	end
end

function mms_voidcopter_movement(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	
	MAP_MarkMovementFieldCircle(UX,UY,5)
end 

function mms_voidcopter_attackrange(UnitID)
	UX=UNIT_GetX(UnitID)/64
	UY=UNIT_GetY(UnitID)/64
	MAP_MarkAttackFieldCircle(UX,UY,3,1,0,0)
	MAP_UnmarkAttackFriendly()
end

function mms_voidcopter_update(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

SHIP_Angle=UNIT_GetAngle(UnitID)
HP=UNIT_GetHP(UnitID)
--Draw main ship
ColorG3D(255,255,255,1)
DrawImage3D(IMG_voidcopter,UX,UY,0,SHIP_Angle,1.2,0)
MSecs=GetMSecs()
ColorG3D(255*(1-(HP/25)),20,255*(HP/25),0.8)
DrawImage3D(IMG_voidcopter_wings,UX,UY,0,MSecs*0.55,3.8,0)
--draw boost effects
DropSED(IMGSED_voidcopter_boost,SED_voidcopter_boost,UX+math.sin(math.rad(SHIP_Angle+90))*18,UY+math.cos(math.rad(SHIP_Angle+90))*18,0,0,SHIP_Angle+180,2,1)
DropSED(IMGSED_voidcopter_boost,SED_voidcopter_boost,UX+math.sin(math.rad(SHIP_Angle-90))*18,UY+math.cos(math.rad(SHIP_Angle-90))*18,0,0,SHIP_Angle+180,2,1)

end

function mms_voidcopter_move(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=math.deg(math.atan2(TX*64-UX,TY*64-UY))
UX=UX+math.sin(math.rad(Angle))*4
UY=UY+math.cos(math.rad(Angle))*4

UNIT_SetX(UnitID,UX)
UNIT_SetY(UnitID,UY)
UNIT_SetAngle(UnitID,Angle)

end

function mms_voidcopter_attack(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)

TX=UNIT_GetTargetX()
TY=UNIT_GetTargetY()

Angle=UNIT_GetAngle(UnitID)
Angle=Angle+(math.deg(math.atan2(TX*64-UX,TY*64-UY))-Angle)*0.05
UNIT_SetAngle(UnitID,Angle)

MSecs=GetMSecs()

	if VAR_voidcopter_chargeable==0 then
		VAR_voidcopter_chargeable=1
		VAR_voidcopter_charge=MSecs
	end
	if MSecs-VAR_voidcopter_charge>150 then
		PRJ_CreateProjectile("redlaser",UX+math.sin(math.rad(SHIP_Angle+(VAR_voidcopter_proj-1)*45))*20,UY+math.cos(math.rad(SHIP_Angle+(VAR_voidcopter_proj-1)*45))*20,Angle,TX,TY,UnitID)	
		Shatter(1)
		VAR_voidcopter_chargeable=VAR_voidcopter_chargeable+1
		VAR_voidcopter_charge=MSecs
		VAR_voidcopter_proj=2-VAR_voidcopter_proj
	end
	if VAR_voidcopter_chargeable==11 then
		UNIT_StopAttacking()
		VAR_voidcopter_chargeable=0
		VAR_voidcopter_proj=0
	end
end

function mms_voidcopter_event(UnitID)
UX=UNIT_GetX(UnitID)
UY=UNIT_GetY(UnitID)
	if UNIT_GetEvent(UnitID,3)=="1" then--nchster zug
		if MAP_GetMap(UX/64-1,UY/64,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64-1,UY/64,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64-1,UY/64,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64+1,UY/64,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64+1,UY/64,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64+1,UY/64,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64,UY/64+1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64,UY/64+1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64,UY/64+1,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64,UY/64-1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64,UY/64-1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64,UY/64-1,3*(2-((HP/25)))) end
		end

		if MAP_GetMap(UX/64-1,UY/64+1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64-1,UY/64+1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64-1,UY/64+1,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64+1,UY/64+1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64+1,UY/64+1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64+1,UY/64+1,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64-1,UY/64-1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64-1,UY/64-1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64-1,UY/64-1,3*(2-((HP/25)))) end
		end
		if MAP_GetMap(UX/64+1,UY/64-1,1)~=0 then
			if UNIT_GetOwner(MAP_GetMap(UX/64+1,UY/64-1,1))~=UNIT_GetOwner(UnitID) then UNIT_PointDamageOnField(UX/64+1,UY/64-1,3*(2-((HP/25)))) end
		end

		
	end
end